#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# $GTK_PARADISE/examples/gtk3/023_horizontal_and_vertical_scale.rb
# =========================================================================== #
require 'gtk3'

window = Gtk::Window.new
box = Gtk::Box.new(:horizontal)
hscale = Gtk::Scale.new(:horizontal)
hscale.round_digits = 5
hscale.draw_value = 20
vscale = Gtk::Scale.new(:vertical)
box.pack_start(vscale, padding: 10)
box.pack_start(Gtk::Separator.new(:horizontal), padding: 10)
box.pack_start(hscale, padding: 10)
box.show_all
window.add(box)
window.move(0, 0)
window.show_all
window.set_size_request(500, 500)
window.signal_connect(:destroy){ Gtk.main_quit }
Gtk.main